Subject: bug#59452: 29.0.50; [PGTK] SIGSEV Args out of range: 6, 6

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Nov 2022 16:20:35 +0200

> Cc: [email-masked]
> From: German Pacenza <[email-masked]>
> Date: Wed, 23 Nov 2022 08:58:43 -0300
> 
> Po Lu <[email-masked]> writes:
> 
> I have a recipe:
> 
> emacs -Q
> (progn
>    (setq mode-line-front-space "HOVER HERE -> ")
>    (setq-default mode-line-format '("%e"
>                                     (:propertize mode-line-front-space display (min-width (20)))
>                                     "  ")))
> eval code and hover the mode-line at the right of the arrow
> 
> Result:
> Args out of range: 13, 13 and emacs crashes

This part (which I'm not sure how it's related to the original bug) should
be fixed now.

FTR, I didn't see any crashes, only an error message in the echo-area.  But
I'm not on PGTK.